#if !defined(AFX_SYMBOLSTYLE_H__BF140EE9_48AD_454C_8F45_FF22F8B05567__INCLUDED_)
#define AFX_SYMBOLSTYLE_H__BF140EE9_48AD_454C_8F45_FF22F8B05567__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SymbolStyle.h : header file
//

// Encapsulate formatting style for syntax highlighting.
// Text can be colored, bold, italic, and/or underlined.

class CSymbolStyle
{
public:
	CSymbolStyle();  // Default constructor.
	CSymbolStyle(COLORREF, BOOL, BOOL, BOOL);
	CSymbolStyle(const CSymbolStyle&);  // Copy constructor.
	BOOL CSymbolStyle::operator!=(const CSymbolStyle&) const;  // Does not equal operator.
	void SetStyle(const COLORREF clrColor, const BOOL bBold, const BOOL bItalic, const BOOL bUnderline);

	// Inline mutator/accessor functions.
	void SetColor(const COLORREF clrColor) { m_clrColor = clrColor; }
	COLORREF GetColor() const { return m_clrColor; }

	void SetBold(const BOOL bBold) { m_bBold = bBold; }
	BOOL GetBold() const { return m_bBold; }

	void SetItalic(const BOOL bItalic) { m_bItalic = bItalic; }
	BOOL GetItalic() const { return m_bItalic; }

	void SetUnderline(const BOOL bUnderline) { m_bUnderline = bUnderline; }
	BOOL GetUnderline() const { return m_bUnderline; } 
private:
	COLORREF m_clrColor;
	BOOL m_bBold;
	BOOL m_bItalic;
	BOOL m_bUnderline;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYMBOLSTYLE_H__BF140EE9_48AD_454C_8F45_FF22F8B05567__INCLUDED_)