/*
 * This class is derived from CObArray and is used to add sorting functionality
 * and the ability to add CStrings from a multi-line input.
 *
 * The implementation of CompareAndSwap() is specific to objects containing ONLY
 * CStringArray objects and will not work for other types.
 */

#if !defined(CFEMMEDCOBARRAY)
#define CFEMMEDCOBARRAY

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFEMMedCObArray : public CObArray
{
	DECLARE_DYNAMIC(CFEMMedCObArray)
public:
	CFEMMedCObArray();
	int GetMaxParams();
	void AddMultiLineString(CString);
	void Sort();
private:
	BOOL CompareAndSwap(const int);
};

#endif // !defined(CFEMMEDCOBARRAY)