// SymbolStyle.cpp : implementation file
//

#include "stdafx.h"
#include "SymbolStyle.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSymbolStyle

CSymbolStyle::CSymbolStyle()
{
	m_clrColor = RGB(0,0,0);
	m_bBold = FALSE;
	m_bItalic = FALSE;
	m_bUnderline = FALSE;
}

CSymbolStyle::CSymbolStyle(COLORREF clrColor, BOOL bBold, BOOL bItalic, BOOL bUnderline)
{
	m_clrColor = clrColor;
	m_bBold = bBold;
	m_bItalic = bItalic;
	m_bUnderline = bUnderline;
}

// Copy constructor.
CSymbolStyle::CSymbolStyle(const CSymbolStyle& CopyObj)
{
	m_clrColor = CopyObj.m_clrColor;
	m_bBold = CopyObj.m_bBold;
	m_bItalic = CopyObj.m_bItalic;
	m_bUnderline = CopyObj.m_bUnderline;
}

// "Does not equal" operator.
BOOL CSymbolStyle::operator!=(const CSymbolStyle& CompareObj) const
{
	if(m_clrColor != CompareObj.m_clrColor)
		return TRUE;
	else if(m_bItalic != CompareObj.m_bItalic)
		return TRUE;
	else if(m_bUnderline != CompareObj.m_bUnderline)
		return TRUE;
	else if(m_bBold != CompareObj.m_bBold)
		return TRUE;
	else
		return FALSE;
}

void CSymbolStyle::SetStyle(COLORREF clrColor, BOOL bBold, BOOL bItalic, BOOL bUnderline)
{
	m_clrColor = clrColor;
	m_bBold = bBold;
	m_bItalic = bItalic;
	m_bUnderline = bUnderline;
}